//
// Copyright © 2020 Anticrm Platform Contributors.
//
// Licensed under the Eclipse Public License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License. You may
// obtain a copy of the License at https://www.eclipse.org/legal/epl-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//
// See the License for the specific language governing permissions and
// limitations under the License.
//

import { MigrateOperation } from '@anticrm/model'

// Import migrate operations.
import { coreOperation } from '@anticrm/model-core'
import { taskOperation } from '@anticrm/model-task'
import { attachmentOperation } from '@anticrm/model-attachment'
import { leadOperation } from '@anticrm/model-lead'
import { notificationOperation } from '@anticrm/model-notification'
import { recruitOperation } from '@anticrm/model-recruit'
import { viewOperation } from '@anticrm/model-view'
import { contactOperation } from '@anticrm/model-contact'
import { tagsOperation } from '@anticrm/model-tags'

export const migrateOperations: MigrateOperation[] = [
  coreOperation,
  taskOperation,
  attachmentOperation,
  leadOperation,
  recruitOperation,
  viewOperation,
  contactOperation,
  tagsOperation,
  notificationOperation
]
